Index: plugins/blogroll/index.php
===================================================================
--- plugins/blogroll/index.php	(revision 3731)
+++ plugins/blogroll/index.php	(revision 3874)
@@ -125,5 +125,5 @@
 
 # Order links
-$order = array();
+$order = [];
 if (empty($_POST['links_order']) && !empty($_POST['order'])) {
     $order = $_POST['order'];
@@ -178,8 +178,8 @@
 <?php
 echo dcPage::breadcrumb(
-    array(
+    [
         html::escapeHTML($core->blog->name) => '',
         __('Blogroll')                      => ''
-    )) .
+    ]) .
 dcPage::notices();
 ?>
@@ -208,14 +208,14 @@
         echo
         '<tr class="line" id="l_' . $rs->link_id . '">' .
-        '<td class="handle minimal">' . form::field(array('order[' . $rs->link_id . ']'), 2, 5, array(
+        '<td class="handle minimal">' . form::field(['order[' . $rs->link_id . ']'], 2, 5, [
             'default'    => $position,
             'class'      => 'position',
             'extra_html' => 'title="' . __('position') . '"'
-        )) .
+        ]) .
         '</td>' .
-        '<td class="minimal">' . form::checkbox(array('remove[]'), $rs->link_id,
-            array(
+        '<td class="minimal">' . form::checkbox(['remove[]'], $rs->link_id,
+            [
                 'extra_html' => 'title="' . __('select this link') . '"'
-            )
+            ]
         ) . '</td>';
 
@@ -244,5 +244,5 @@
 echo
     form::hidden('links_order', '') .
-    form::hidden(array('p'), 'blogroll') .
+    form::hidden(['p'], 'blogroll') .
     $core->formNonce();
     ?>
@@ -268,15 +268,15 @@
 '<h3>' . __('Add a new link') . '</h3>' .
 '<p class="col"><label for="link_title" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Title:') . '</label> ' .
-form::field('link_title', 30, 255, array(
+form::field('link_title', 30, 255, [
     'default'    => $link_title,
     'extra_html' => 'required placeholder="' . __('Title') . '"'
-)) .
+]) .
 '</p>' .
 
 '<p class="col"><label for="link_href" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('URL:') . '</label> ' .
-form::field('link_href', 30, 255, array(
+form::field('link_href', 30, 255, [
     'default'    => $link_href,
     'extra_html' => 'required placeholder="' . __('URL') . '"'
-)) .
+]) .
 '</p>' .
 
@@ -288,5 +288,5 @@
 form::field('link_lang', 5, 5, $link_lang) .
 '</p>' .
-'<p>' . form::hidden(array('p'), 'blogroll') .
+'<p>' . form::hidden(['p'], 'blogroll') .
 $core->formNonce() .
 '<input type="submit" name="add_link" value="' . __('Save') . '" /></p>' .
@@ -299,10 +299,10 @@
 '<h3>' . __('Add a new category') . '</h3>' .
 '<p><label for="cat_title" class=" classic required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Title:') . '</label> ' .
-form::field('cat_title', 30, 255, array(
+form::field('cat_title', 30, 255, [
     'default'    => $cat_title,
     'extra_html' => 'required placeholder="' . __('Title') . '"'
-)) .
+]) .
 ' ' .
-form::hidden(array('p'), 'blogroll') .
+form::hidden(['p'], 'blogroll') .
 $core->formNonce() .
 '<input type="submit" name="add_cat" value="' . __('Save') . '" /></p>' .
@@ -318,5 +318,5 @@
     '<p><label for="links_file" class=" classic required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('OPML or XBEL File:') . '</label> ' .
     '<input type="file" id="links_file" name="links_file" required /></p>' .
-    '<p>' . form::hidden(array('p'), 'blogroll') .
+    '<p>' . form::hidden(['p'], 'blogroll') .
     $core->formNonce() .
     '<input type="submit" name="import_links" value="' . __('Import') . '" /></p>' .
@@ -342,5 +342,5 @@
 
             echo
-            '<tr><td>' . form::checkbox(array('entries[]'), $i) . '</td>' .
+            '<tr><td>' . form::checkbox(['entries[]'], $i) . '</td>' .
                 '<td nowrap><a href="' . $url . '">' . $title . '</a>' .
                 '<input type="hidden" name="url[' . $i . ']" value="' . $url . '" />' .
@@ -358,5 +358,5 @@
 
         '<p class="col right">' .
-        form::hidden(array('p'), 'blogroll') .
+        form::hidden(['p'], 'blogroll') .
         $core->formNonce() .
         '<input type="submit" name="cancel_import" value="' . __('Cancel') . '" />&nbsp;' .
Index: plugins/blogroll/js/_users_actions.js
===================================================================
--- plugins/blogroll/js/_users_actions.js	(revision 3730)
+++ plugins/blogroll/js/_users_actions.js	(revision 3880)
@@ -5,10 +5,11 @@
   return this.each(function() {
 
-    var perms = {};
-    var re = /^perm\[(.+?)\]\[(.+?)\]$/;
-    var e, prop;
+    let perms = {};
+    const re = /^perm\[(.+?)\]\[(.+?)\]$/;
+    let e;
+    let prop;
 
     // Building a nice object of form elements
-    for (var i = 0; i < this.elements.length; i++) {
+    for (let i = 0; i < this.elements.length; i++) {
       e = this.elements[i];
 
@@ -16,5 +17,4 @@
         continue;
       }
-      var prop;
       prop = e.name.match(re);
       if (!prop) {
@@ -38,8 +38,8 @@
 
     function admin(E, perms, re) {
-      P = E.name.match(re);
+      const P = E.name.match(re);
 
-      perms[P[1]]['blogroll'].checked = E.checked;
-      perms[P[1]]['blogroll'].disabled = E.checked;
+      perms[P[1]].blogroll.checked = E.checked;
+      perms[P[1]].blogroll.disabled = E.checked;
     }
   });
Index: plugins/blogroll/js/blogroll.js
===================================================================
--- plugins/blogroll/js/blogroll.js	(revision 3709)
+++ plugins/blogroll/js/blogroll.js	(revision 3880)
@@ -3,20 +3,26 @@
 
 $(function() {
-	$('#links-list').sortable({'cursor':'move'});
-	$('#links-list tr').hover(function () {
-		$(this).css({'cursor':'move'});
-	}, function () {
-		$(this).css({'cursor':'auto'});
-	});
-	$('#links-form').submit(function() {
-		var order=[];
-		$('#links-list tr td input.position').each(function() {
-			order.push(this.name.replace(/^order\[([^\]]+)\]$/,'$1'));
-		});
-		$('input[name=links_order]')[0].value = order.join(',');
-		return true;
-	});
-	$('#links-list tr td input.position').hide();
-	$('#links-list tr td.handle').addClass('handler');
-	dotclear.condSubmit('#links-form td input[type="checkbox"]','#links-form #remove-action');
+  $('#links-list').sortable({
+    'cursor': 'move'
+  });
+  $('#links-list tr').hover(function() {
+    $(this).css({
+      'cursor': 'move'
+    });
+  }, function() {
+    $(this).css({
+      'cursor': 'auto'
+    });
+  });
+  $('#links-form').submit(function() {
+    let order = [];
+    $('#links-list tr td input.position').each(function() {
+      order.push(this.name.replace(/^order\[([^\]]+)\]$/, '$1'));
+    });
+    $('input[name=links_order]')[0].value = order.join(',');
+    return true;
+  });
+  $('#links-list tr td input.position').hide();
+  $('#links-list tr td.handle').addClass('handler');
+  dotclear.condSubmit('#links-form td input[type="checkbox"]', '#links-form #remove-action');
 });
Index: plugins/blowupConfig/_define.php
===================================================================
--- plugins/blowupConfig/_define.php	(revision 3731)
+++ plugins/blowupConfig/_define.php	(revision 3874)
@@ -17,7 +17,7 @@
     "Olivier Meunier",             // Author
     '1.2',                         // Version
-    array(
+    [
         'permissions' => 'admin',
         'type'        => 'plugin'
-    )
+    ]
 );
Index: plugins/blowupConfig/_public.php
===================================================================
--- plugins/blowupConfig/_public.php	(revision 3731)
+++ plugins/blowupConfig/_public.php	(revision 3874)
@@ -17,5 +17,5 @@
 
 require dirname(__FILE__) . '/lib/class.blowup.config.php';
-$core->addBehavior('publicHeadContent', array('tplBlowupTheme', 'publicHeadContent'));
+$core->addBehavior('publicHeadContent', ['tplBlowupTheme', 'publicHeadContent']);
 
 class tplBlowUpTheme
Index: plugins/blowupConfig/index.php
===================================================================
--- plugins/blowupConfig/index.php	(revision 3731)
+++ plugins/blowupConfig/index.php	(revision 3874)
@@ -22,5 +22,5 @@
 }
 
-$blowup_base = array(
+$blowup_base = [
     'body_bg_c'           => null,
     'body_bg_g'           => 'light',
@@ -81,5 +81,5 @@
 
     'extra_css'           => null
-);
+];
 
 $blowup_user = $core->blog->settings->themes->blowup_style;
@@ -87,17 +87,17 @@
 $blowup_user = @unserialize($blowup_user);
 if (!is_array($blowup_user)) {
-    $blowup_user = array();
+    $blowup_user = [];
 }
 
 $blowup_user = array_merge($blowup_base, $blowup_user);
 
-$gradient_types = array(
+$gradient_types = [
     __('Light linear gradient')  => 'light',
     __('Medium linear gradient') => 'medium',
     __('Dark linear gradient')   => 'dark',
     __('Solid color')            => 'solid'
-);
-
-$top_images = array(__('Custom...') => 'custom');
+];
+
+$top_images = [__('Custom...') => 'custom'];
 $top_images = array_merge($top_images, array_flip(blowupConfig::$top_images));
 
@@ -205,10 +205,10 @@
   <?php
 echo dcPage::jsLoad(dcPage::getPF('blowupConfig/js/config.js'));
-echo dcPage::jsVars(array(
+echo dcPage::jsVars([
     'dotclear.blowup_public_url'          => blowupConfig::imagesURL(),
     'dotclear.msg.predefined_styles'      => __('Predefined styles'),
     'dotclear.msg.apply_code'             => __('Apply code'),
     'dotclear.msg.predefined_style_title' => __('Choose a predefined style')
-));
+]);
 ?>
 </head>
@@ -217,9 +217,9 @@
 <?php
 echo dcPage::breadcrumb(
-    array(
+    [
         html::escapeHTML($core->blog->name) => '',
         __('Blog appearance')               => $core->adminurl->get('admin.blog.theme'),
         __('Blowup configuration')          => ''
-    )) . dcPage::notices();
+    ]) . dcPage::notices();
 
 echo
@@ -239,5 +239,5 @@
     echo
     '<p class="field"><label for="body_bg_c">' . __('Background color:') . '</label> ' .
-    form::color('body_bg_c', array('default' => $blowup_user['body_bg_c'])) . '</p>' .
+    form::color('body_bg_c', ['default' => $blowup_user['body_bg_c']]) . '</p>' .
 
     '<p class="field"><label for="body_bg_g">' . __('Background color fill:') . '</label> ' .
@@ -253,5 +253,5 @@
 
 '<p class="field"><label for="body_txt_c">' . __('Main text color:') . '</label> ' .
-form::color('body_txt_c', array('default' => $blowup_user['body_txt_c'])) . '</p>' .
+form::color('body_txt_c', ['default' => $blowup_user['body_txt_c']]) . '</p>' .
 
 '<p class="field"><label for="body_line_height">' . __('Text line height:') . '</label> ' .
@@ -260,11 +260,11 @@
 '<h4 class="border-top">' . __('Links') . '</h4>' .
 '<p class="field"><label for="body_link_c">' . __('Links color:') . '</label> ' .
-form::color('body_link_c', array('default' => $blowup_user['body_link_c'])) . '</p>' .
+form::color('body_link_c', ['default' => $blowup_user['body_link_c']]) . '</p>' .
 
 '<p class="field"><label for="body_link_v_c">' . __('Visited links color:') . '</label> ' .
-form::color('body_link_v_c', array('default' => $blowup_user['body_link_v_c'])) . '</p>' .
+form::color('body_link_v_c', ['default' => $blowup_user['body_link_v_c']]) . '</p>' .
 
 '<p class="field"><label for="body_link_f_c">' . __('Focus links color:') . '</label> ' .
-form::color('body_link_f_c', array('default' => $blowup_user['body_link_f_c'])) . '</p>' .
+form::color('body_link_f_c', ['default' => $blowup_user['body_link_f_c']]) . '</p>' .
 
 '<h4 class="border-top">' . __('Page top') . '</h4>';
@@ -273,5 +273,5 @@
     echo
     '<p class="field"><label for="prelude_c">' . __('Prelude color:') . '</label> ' .
-    form::color('prelude_c', array('default' => $blowup_user['prelude_c'])) . '</p>';
+    form::color('prelude_c', ['default' => $blowup_user['prelude_c']]) . '</p>';
 }
 
@@ -287,8 +287,8 @@
 
 '<p class="field"><label for="blog_title_c">' . __('Main title color:') . '</label> ' .
-form::color('blog_title_c', array('default' => $blowup_user['blog_title_c'])) . '</p>' .
+form::color('blog_title_c', ['default' => $blowup_user['blog_title_c']]) . '</p>' .
 
 '<p class="field"><label for="blog_title_a">' . __('Main title alignment:') . '</label> ' .
-form::combo('blog_title_a', array(__('center') => 'center', __('left') => 'left', __('right') => 'right'), $blowup_user['blog_title_a']) . '</p>' .
+form::combo('blog_title_a', [__('center') => 'center', __('left') => 'left', __('right') => 'right'], $blowup_user['blog_title_a']) . '</p>' .
 
 '<p class="field"><label for="blog_title_p">' . __('Main title position (x:y)') . '</label> ' .
@@ -322,5 +322,5 @@
 '<h4 class="border-top">' . __('Sidebar') . '</h4>' .
 '<p class="field"><label for="sidebar_position">' . __('Sidebar position:') . '</label> ' .
-form::combo('sidebar_position', array(__('right') => 'right', __('left') => 'left'), $blowup_user['sidebar_position']) . '</p>' .
+form::combo('sidebar_position', [__('right') => 'right', __('left') => 'left'], $blowup_user['sidebar_position']) . '</p>' .
 
 '<p class="field"><label for="sidebar_text_f">' . __('Sidebar text font:') . '</label> ' .
@@ -331,5 +331,5 @@
 
 '<p class="field"><label for="sidebar_text_c">' . __('Sidebar text color:') . '</label> ' .
-form::color('sidebar_text_c', array('default' => $blowup_user['sidebar_text_c'])) . '</p>' .
+form::color('sidebar_text_c', ['default' => $blowup_user['sidebar_text_c']]) . '</p>' .
 
 '<p class="field"><label for="sidebar_title_f">' . __('Sidebar titles font:') . '</label> ' .
@@ -340,5 +340,5 @@
 
 '<p class="field"><label for="sidebar_title_c">' . __('Sidebar titles color:') . '</label> ' .
-form::color('sidebar_title_c', array('default' => $blowup_user['sidebar_title_c'])) . '</p>' .
+form::color('sidebar_title_c', ['default' => $blowup_user['sidebar_title_c']]) . '</p>' .
 
 '<p class="field"><label for="sidebar_title2_f">' . __('Sidebar 2nd level titles font:') . '</label> ' .
@@ -349,17 +349,17 @@
 
 '<p class="field"><label for="sidebar_title2_c">' . __('Sidebar 2nd level titles color:') . '</label> ' .
-form::color('sidebar_title2_c', array('default' => $blowup_user['sidebar_title2_c'])) . '</p>' .
+form::color('sidebar_title2_c', ['default' => $blowup_user['sidebar_title2_c']]) . '</p>' .
 
 '<p class="field"><label for="sidebar_line_c">' . __('Sidebar lines color:') . '</label> ' .
-form::color('sidebar_line_c', array('default' => $blowup_user['sidebar_line_c'])) . '</p>' .
+form::color('sidebar_line_c', ['default' => $blowup_user['sidebar_line_c']]) . '</p>' .
 
 '<p class="field"><label for="sidebar_link_c">' . __('Sidebar links color:') . '</label> ' .
-form::color('sidebar_link_c', array('default' => $blowup_user['sidebar_link_c'])) . '</p>' .
+form::color('sidebar_link_c', ['default' => $blowup_user['sidebar_link_c']]) . '</p>' .
 
 '<p class="field"><label for="sidebar_link_v_c">' . __('Sidebar visited links color:') . '</label> ' .
-form::color('sidebar_link_v_c', array('default' => $blowup_user['sidebar_link_v_c'])) . '</p>' .
+form::color('sidebar_link_v_c', ['default' => $blowup_user['sidebar_link_v_c']]) . '</p>' .
 
 '<p class="field"><label for="sidebar_link_f_c">' . __('Sidebar focus links color:') . '</label> ' .
-form::color('sidebar_link_f_c', array('default' => $blowup_user['sidebar_link_f_c'])) . '</p>' .
+form::color('sidebar_link_f_c', ['default' => $blowup_user['sidebar_link_f_c']]) . '</p>' .
 
 '<h4 class="border-top">' . __('Entries') . '</h4>' .
@@ -371,5 +371,5 @@
 
 '<p class="field"><label for="date_title_c">' . __('Date title color:') . '</label> ' .
-form::color('date_title_c', array('default' => $blowup_user['date_title_c'])) . '</p>' .
+form::color('date_title_c', ['default' => $blowup_user['date_title_c']]) . '</p>' .
 
 '<p class="field"><label for="post_title_f">' . __('Entry title font:') . '</label> ' .
@@ -380,25 +380,25 @@
 
 '<p class="field"><label for="post_title_c">' . __('Entry title color:') . '</label> ' .
-form::color('post_title_c', array('default' => $blowup_user['post_title_c'])) . '</p>';
+form::color('post_title_c', ['default' => $blowup_user['post_title_c']]) . '</p>';
 
 if ($can_write_images) {
     echo
     '<p class="field"><label for="post_comment_bg_c">' . __('Comment background color:') . '</label> ' .
-    form::color('post_comment_bg_c', array('default' => $blowup_user['post_comment_bg_c'])) . '</p>';
+    form::color('post_comment_bg_c', ['default' => $blowup_user['post_comment_bg_c']]) . '</p>';
 }
 
 echo
 '<p class="field"><label for="post_comment_c">' . __('Comment text color:') . '</label> ' .
-form::color('post_comment_c', array('default' => $blowup_user['post_comment_c'])) . '</p>';
+form::color('post_comment_c', ['default' => $blowup_user['post_comment_c']]) . '</p>';
 
 if ($can_write_images) {
     echo
     '<p class="field"><label for="post_commentmy_bg_c">' . __('My comment background color:') . '</label> ' .
-    form::color('post_commentmy_bg_c', array('default' => $blowup_user['post_commentmy_bg_c'])) . '</p>';
+    form::color('post_commentmy_bg_c', ['default' => $blowup_user['post_commentmy_bg_c']]) . '</p>';
 }
 
 echo
 '<p class="field"><label for="post_commentmy_c">' . __('My comment text color:') . '</label> ' .
-form::color('post_commentmy_c', array('default' => $blowup_user['post_commentmy_c'])) . '</p>' .
+form::color('post_commentmy_c', ['default' => $blowup_user['post_commentmy_c']]) . '</p>' .
 
 '<h4 class="border-top">' . __('Footer') . '</h4>' .
@@ -410,26 +410,26 @@
 
 '<p class="field"><label for="footer_c">' . __('Footer color:') . '</label> ' .
-form::color('footer_c', array('default' => $blowup_user['footer_c'])) . '</p>' .
+form::color('footer_c', ['default' => $blowup_user['footer_c']]) . '</p>' .
 
 '<p class="field"><label for="footer_l_c">' . __('Footer links color:') . '</label> ' .
-form::color('footer_l_c', array('default' => $blowup_user['footer_l_c'])) . '</p>' .
+form::color('footer_l_c', ['default' => $blowup_user['footer_l_c']]) . '</p>' .
 
 '<p class="field"><label for="footer_bg_c">' . __('Footer background color:') . '</label> ' .
-form::color('footer_bg_c', array('default' => $blowup_user['footer_bg_c'])) . '</p>';
+form::color('footer_bg_c', ['default' => $blowup_user['footer_bg_c']]) . '</p>';
 
 echo
 '<h4 class="border-top">' . __('Additional CSS') . '</h4>' .
 '<p><label for="extra_css">' . __('Any additional CSS styles (must be written using the CSS syntax):') . '</label> ' .
-form::textarea('extra_css', 72, 5, array(
+form::textarea('extra_css', 72, 5, [
     'default'    => html::escapeHTML($blowup_user['extra_css']),
     'class'      => 'maximal',
     'extra_html' => 'title="' . __('Additional CSS') . '"'
-)) .
+]) .
     '</p>' .
     '</div>';
 
 // Import / Export configuration
-$tmp_array   = array();
-$tmp_exclude = array('uploaded', 'top_height');
+$tmp_array   = [];
+$tmp_exclude = ['uploaded', 'top_height'];
 if ($blowup_user['top_image'] == 'custom') {
     $tmp_exclude[] = 'top_image';
@@ -445,9 +445,9 @@
 '<div id="bu_export_content">' .
 '<p>' . __('You can share your configuration using the following code. To apply a configuration, paste the code, click on "Apply code" and save.') . '</p>' .
-'<p>' . form::textarea('export_code', 72, 5, array(
+'<p>' . form::textarea('export_code', 72, 5, [
     'default'    => implode('; ', $tmp_array),
     'class'      => 'maximal',
     'extra_html' => 'title="' . __('Copy this code:') . '"'
-)) . '</p>' .
+]) . '</p>' .
     '</div>' .
     '</div>';
Index: plugins/blowupConfig/js/config.js
===================================================================
--- plugins/blowupConfig/js/config.js	(revision 3768)
+++ plugins/blowupConfig/js/config.js	(revision 3880)
@@ -39,11 +39,11 @@
 
   // Predefined styles
-  var styles_combo = document.createElement('select');
+  const styles_combo = document.createElement('select');
   $(styles_combo).append('<option value="">&nbsp;</option>');
   $(styles_combo).append('<option value="none">none</option>');
   $(styles_combo).attr('title', dotclear.msg.predefined_style_title);
 
-  for (var style in dotclear.blowup_styles) {
-    var styles_option = document.createElement('option');
+  for (let style in dotclear.blowup_styles) {
+    const styles_option = document.createElement('option');
     styles_option.value = dotclear.blowup_styles[style];
     $(styles_option).append(style);
@@ -68,11 +68,11 @@
 
   // Code import
-  var e = $('#bu_export_content');
+  const e = $('#bu_export_content');
 
-  $('#bu_export').toggleWithLegend($(e),{
-      legend_click: true
-  })
+  $('#bu_export').toggleWithLegend($(e), {
+    legend_click: true
+  });
 
-  var a = document.createElement('a');
+  const a = document.createElement('a');
   a.href = '#';
   $(a).text(dotclear.msg.apply_code);
@@ -81,5 +81,5 @@
 
   $(a).click(function() {
-    var code = e.find('#export_code');
+    const code = e.find('#export_code');
     if (code.size() == 0) {
       return false;
@@ -100,11 +100,13 @@
   function applyBlowupValues(code) {
     code = code.replace('\n', '');
-    var re = /(^| )([a-zA-Z0-9_]+):"([^"]*?)"(;|$)/g;
-    var reg = /^(.+):"([^"]*)"(;?)\s*$/;
-    var s = code.match(re);
+    const re = /(^| )([a-zA-Z0-9_]+):"([^"]*?)"(;|$)/g;
+    const reg = /^(.+):"([^"]*)"(;?)\s*$/;
+    const s = code.match(re);
 
     if (typeof(s) == 'object' && s.length > 0) {
-      var member, target, value;
-      for (var i = 0, s_length = s.length; i < s_length; i++) {
+      let member;
+      let target;
+      let value;
+      for (let i = 0, s_length = s.length; i < s_length; i++) {
         member = reg.exec(s[i]);
         target = member[1].replace(' ', '');
@@ -126,5 +128,5 @@
 
   function getColorLum(color) {
-    var rgb = [parseInt('0x' + color.substring(1, 3)) / 255,
+    const rgb = [parseInt('0x' + color.substring(1, 3)) / 255,
       parseInt('0x' + color.substring(3, 5)) / 255,
       parseInt('0x' + color.substring(5, 7)) / 255
Index: plugins/blowupConfig/lib/class.blowup.config.php
===================================================================
--- plugins/blowupConfig/lib/class.blowup.config.php	(revision 3731)
+++ plugins/blowupConfig/lib/class.blowup.config.php	(revision 3874)
@@ -17,6 +17,6 @@
     protected static $img_folder = 'blowup-images';
 
-    protected static $fonts = array(
-        'sans-serif' => array(
+    protected static $fonts = [
+        'sans-serif' => [
             'ss1' => 'Arial, Helvetica, sans-serif',
             'ss2' => 'Verdana,Geneva, Arial, Helvetica, sans-serif',
@@ -24,22 +24,22 @@
             'ss4' => '"Trebuchet MS", Helvetica, sans-serif',
             'ss5' => 'Impact, Charcoal, sans-serif'
-        ),
-
-        'serif'      => array(
+        ],
+
+        'serif'      => [
             's1' => 'Times, "Times New Roman", serif',
             's2' => 'Georgia, serif',
             's3' => 'Baskerville, "Palatino Linotype", serif'
-        ),
-
-        'monospace'  => array(
+        ],
+
+        'monospace'  => [
             'm1' => '"Andale Mono", "Courier New", monospace',
             'm2' => '"Courier New", Courier, mono, monospace'
-        )
-    );
-
-    protected static $fonts_combo = array();
-    protected static $fonts_list  = array();
-
-    public static $top_images = array(
+        ]
+    ];
+
+    protected static $fonts_combo = [];
+    protected static $fonts_list  = [];
+
+    public static $top_images = [
         'default'        => 'Default',
         'blank'          => 'Blank',
@@ -58,5 +58,5 @@
         'roadrunner-2'   => 'Road Runner 2',
         'typo'           => 'Typo'
-    );
+    ];
 
     public static function fontsList()
@@ -65,5 +65,5 @@
             self::$fonts_combo[__('default')] = '';
             foreach (self::$fonts as $family => $g) {
-                $fonts = array();
+                $fonts = [];
                 foreach ($g as $code => $font) {
                     $fonts[str_replace('"', '', $font)] = $code;
@@ -157,5 +157,5 @@
         }
 
-        $css = array();
+        $css = [];
 
         /* Sidebar position
@@ -199,9 +199,9 @@
             dcThemeConfig::prop($css, '#top h1 span', 'text-indent', '-5000px');
             dcThemeConfig::prop($css, '#top h1', 'top', '0px');
-            $css['#top h1 a'] = array(
+            $css['#top h1 a'] = [
                 'display' => 'block',
                 'height'  => $s['top_height'] ? ($s['top_height'] - 10) . 'px' : '120px',
                 'width'   => '800px'
-            );
+            ];
         }
         dcThemeConfig::prop($css, '#top', 'height', $s['top_height']);
@@ -325,9 +325,9 @@
         }
 
-        $body_fill = array(
+        $body_fill = [
             'light'  => dirname(__FILE__) . '/../alpha-img/gradient-l.png',
             'medium' => dirname(__FILE__) . '/../alpha-img/gradient-m.png',
             'dark'   => dirname(__FILE__) . '/../alpha-img/gradient-d.png'
-        );
+        ];
 
         $body_g = isset($body_fill[$gradient]) ? $body_fill[$gradient] : false;
Index: plugins/breadcrumb/_admin.php
===================================================================
--- plugins/breadcrumb/_admin.php	(revision 3731)
+++ plugins/breadcrumb/_admin.php	(revision 3874)
@@ -15,6 +15,6 @@
 __('Breadcrumb') . __('Breadcrumb for Dotclear');
 
-$core->addBehavior('adminBlogPreferencesForm', array('breadcrumbBehaviors', 'adminBlogPreferencesForm'));
-$core->addBehavior('adminBeforeBlogSettingsUpdate', array('breadcrumbBehaviors', 'adminBeforeBlogSettingsUpdate'));
+$core->addBehavior('adminBlogPreferencesForm', ['breadcrumbBehaviors', 'adminBlogPreferencesForm']);
+$core->addBehavior('adminBeforeBlogSettingsUpdate', ['breadcrumbBehaviors', 'adminBeforeBlogSettingsUpdate']);
 
 class breadcrumbBehaviors
Index: plugins/breadcrumb/_define.php
===================================================================
--- plugins/breadcrumb/_define.php	(revision 3731)
+++ plugins/breadcrumb/_define.php	(revision 3874)
@@ -17,10 +17,10 @@
     "Franck Paul",             // Author
     '0.7',                     // Version
-    array(
+    [
         'permissions' => 'usage,contentadmin', // Permissions
         'type'        => 'plugin',             // Type
-        'settings'    => array(
+        'settings'    => [
             'blog' => '#params.breadcrumb_params'
-        )
-    )
+        ]
+    ]
 );
Index: plugins/breadcrumb/_public.php
===================================================================
--- plugins/breadcrumb/_public.php	(revision 3731)
+++ plugins/breadcrumb/_public.php	(revision 3874)
@@ -13,5 +13,5 @@
 
 # Breadcrumb template functions
-$core->tpl->addValue('Breadcrumb', array('tplBreadcrumb', 'breadcrumb'));
+$core->tpl->addValue('Breadcrumb', ['tplBreadcrumb', 'breadcrumb']);
 
 class tplBreadcrumb
Index: plugins/buildtools/_admin.php
===================================================================
--- plugins/buildtools/_admin.php	(revision 3731)
+++ plugins/buildtools/_admin.php	(revision 3874)
@@ -11,5 +11,5 @@
 
 if (!defined('DC_CONTEXT_ADMIN')) {return;}
-$core->addBehavior('dcMaintenanceInit', array('dcBuildTools', 'maintenanceAdmin'));
+$core->addBehavior('dcMaintenanceInit', ['dcBuildTools', 'maintenanceAdmin']);
 
 class dcBuildTools
Index: plugins/buildtools/_define.php
===================================================================
--- plugins/buildtools/_define.php	(revision 3731)
+++ plugins/buildtools/_define.php	(revision 3874)
@@ -17,6 +17,6 @@
     "dcTeam",                                 // Author
     '1.0',                                    // Version
-    array(
+    [
         'permissions' => 'admin'
-    )
+    ]
 );
Index: plugins/dcCKEditor/_admin.php
===================================================================
--- plugins/dcCKEditor/_admin.php	(revision 3731)
+++ plugins/dcCKEditor/_admin.php	(revision 3874)
@@ -24,9 +24,9 @@
     $core->addEditorFormater('dcCKEditor', 'xhtml', function ($s) {return $s;});
 
-    $core->addBehavior('adminPostEditor', array('dcCKEditorBehaviors', 'adminPostEditor'));
-    $core->addBehavior('adminPopupMedia', array('dcCKEditorBehaviors', 'adminPopupMedia'));
-    $core->addBehavior('adminPopupLink', array('dcCKEditorBehaviors', 'adminPopupLink'));
-    $core->addBehavior('adminPopupPosts', array('dcCKEditorBehaviors', 'adminPopupPosts'));
+    $core->addBehavior('adminPostEditor', ['dcCKEditorBehaviors', 'adminPostEditor']);
+    $core->addBehavior('adminPopupMedia', ['dcCKEditorBehaviors', 'adminPopupMedia']);
+    $core->addBehavior('adminPopupLink', ['dcCKEditorBehaviors', 'adminPopupLink']);
+    $core->addBehavior('adminPopupPosts', ['dcCKEditorBehaviors', 'adminPopupPosts']);
 
-    $core->addBehavior('adminMediaURL', array('dcCKEditorBehaviors', 'adminMediaURL'));
+    $core->addBehavior('adminMediaURL', ['dcCKEditorBehaviors', 'adminMediaURL']);
 }
Index: plugins/dcCKEditor/_define.php
===================================================================
--- plugins/dcCKEditor/_define.php	(revision 3731)
+++ plugins/dcCKEditor/_define.php	(revision 3874)
@@ -17,11 +17,11 @@
     "dotclear Team",                 // Author
     "1.1.0",                         // Version
-    array(
+    [
         'permissions' => 'usage,contentadmin',
         'type'        => 'plugin',
-        'settings'    => array(
+        'settings'    => [
             'self' => '',
             'pref' => '#user-options.user_options_edition'
-        )
-    )
+        ]
+    ]
 );
Index: plugins/dcCKEditor/inc/_config.php
===================================================================
--- plugins/dcCKEditor/inc/_config.php	(revision 3731)
+++ plugins/dcCKEditor/inc/_config.php	(revision 3875)
@@ -40,5 +40,5 @@
 
             // default tags : p;h1;h2;h3;h4;h5;h6;pre;address
-            $allowed_tags = array('p', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'pre', 'address');
+            $allowed_tags = ['p', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'pre', 'address'];
             if (!empty($_POST['dcckeditor_format_tags'])) {
                 $tags     = explode(';', $_POST['dcckeditor_format_tags']);
@@ -75,3 +75,3 @@
 }
 
-include dirname(__FILE__) . '/../tpl/index.tpl';
+include dirname(__FILE__) . '/../tpl/index.php';
Index: plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php
===================================================================
--- plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php	(revision 3731)
+++ plugins/dcCKEditor/inc/dc.ckeditor.behaviors.php	(revision 3874)
@@ -23,5 +23,5 @@
      * @param syntax   <b>string</b> wanted syntax (xhtml)
      */
-    public static function adminPostEditor($editor = '', $context = '', array $tags = array(), $syntax = 'xhtml')
+    public static function adminPostEditor($editor = '', $context = '', array $tags = [], $syntax = 'xhtml')
     {
         if (empty($editor) || $editor != 'dcCKEditor' || $syntax != 'xhtml') {return;}
